#ifndef FILESELECTOR_HPP
#define FILESELECTOR_HPP

#include <QDir>
#include <QFile>
#include <QStringListModel>
#include <QListView>
#include <QPushButton>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QFileDialog>
#include <QCheckBox>
#include <QSlider>
#include <QLabel>
#include "PassedOptions.hpp"

class FileSelector : public QWidget {
	Q_OBJECT
	private:
	QListView *theChosenOnes;
	QStringListModel *theChosenModel;
	QPushButton *addButton;
	QPushButton *addDirButton;
	QPushButton *removeButton;
	QPushButton *goButton;
	PassedOptions *options;

	public:
	FileSelector(const QString &goText, PassedOptions *opts, QWidget *parent = 0);

	public slots:
	void clear();

	private slots:
	void addPressed();
	void addDirPressed();
	void removePressed();
	void emitGoPressed();

	signals:
	void goPressed(const QStringList &chosenFiles, PassedOptions *opts);
};
#endif	// #ifndef FILESELECTOR_HPP

