#ifndef PROCESSCORE_HPP
#define PROCESSCORE_HPP

#include <QStringList>
#include <QDirIterator>
#include <QRegExp>
#include <QProcess>
#include "PassedOptions.hpp"
#include <QtGlobal>

class ProcessCoreThread;

class ProcessCore : public QObject {
	Q_OBJECT
	private:
	QStringList files;
	int cachedCount;
	int currentFile;
	ProcessCoreThread *pct;
	int getFileCount(const QDir &dir, QRegExp &opOn, QRegExp &noFollow);

	public:
	ProcessCore(const QStringList &toFiles, PassedOptions *opts, QObject *parent = 0);
	~ProcessCore();
	int count();
	int regenerateCount();
	enum ProcessExit { Normal, Terminated, Failed };

	public slots:
	void beginProcessing();
	void ceaseProcessing();

	private slots:
	void incrementFiles();

	signals:
	void textUpdated(QString &text);
	void fileDone(int whichFile);
	void processingDone(int exitType,int errors);
	void countChanged(int newCount);
};

#include "ProcessCoreThread.hpp"
#endif	// #ifndef PROCESSCORE_HPP

