#ifndef PROCESSCORETHREAD_HPP
#define PROCESSCORETHREAD_HPP

#include <QThread>
#include <QProcess>
#include <QRegExp>
#include <QMessageBox>
#include <QCoreApplication>
#include <QFile>
#include "PassedOptions.hpp"
#include "ProcessCore.hpp"

class ProcessCoreThread : public QThread {
	Q_OBJECT
	private:
	bool finishing;
	QStringList files;
	PassedOptions *options;

	protected:
	void run();

	public:
	ProcessCoreThread(const QStringList &toFiles, PassedOptions* opts, QObject *parent = 0);

	public slots:
	void finishUp();

	signals:
	void fileDone();
	void allDone(int exitType,int errors = 0);
};

#endif	// #ifndef PROCESSCORETHREAD_HPP

